Skip to content

Create a notification destination (email/sms/slack/webhook/etc) within a notification group.

POST
/notification
curl --request POST \
--url https://api.siteqwality.com/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "notification_group_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "email", "details": { "email_address": "example" } }'
Media type application/json
object
notification_group_id
required
string format: uuid
type
required
string
Allowed values: email sms slack webhook telegram discord microsoft_teams pagerduty opsgenie google_chat mattermost pushover pushbullet
details
required
One of:
object
email_address
required
string

Notification created

Invalid request body, or the group is not in this account

Missing or invalid authentication

The caller’s email address is not verified

The group or the account holds the most channels allowed

The integration is not in this account, or is another type

Internal server error